/*
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

/*
 * Simple hello world EE
 */

#include <stdio.h>
#include <assert.h>
#include <string.h>
#include <pthread.h>

#include <nodeos/an_impl.h>
#include <nodeos/an_flow.h>
#include <nodeos/an_thread.h>

static void ee_init(void *arg);
an_flowinit_func_t InitEE = { ee_init };

int
ee_main(int argc, const char **argv)
{
#ifdef GPROF
	oskit_start_gprof();
#endif
	printf("%s: Hello, world\n", argv[0]);
#ifdef GPROF
	oskit_stop_gprof();
#endif
	return 0;
}

static void
ee_init(void *arg)
{
	int status;
	int argc = 1;
	const char *argv[] = { "NullEE" }; 
	an_flow_t *flow = an_flow_current();

	status = ee_main(argc, argv);
	an_flow_destroy(flow);
}
