/*
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

/*
 * Implementation bits of NodeOS channel API.
 */
#ifndef _NODEOS_IMPL_AN_CHAN_H_
#define _NODEOS_IMPL_AN_CHAN_H_

#include <nodeos/impl/decls.h>
#include <nodeos/impl/ani_nodeos.h>
#include <nodeos/impl/ani_chan.h>

/*
 * an_chan interfaces.  
 *
 * an_chans are a simple wrapper around the ani_chan layer.
 * This layer add the NODEOS entry/exit and INTERN/EXTERN to the ani_chan.
 */

typedef struct an_chan {
	ani_chan_t chan;
} an_chan_t;


/* an_chan inline functions */

NODEOS_FUNC_INLINE ani_chan_t *
NODEOS_INTERN_CHAN(an_chan_t *xchan)
{
	assert(xchan != 0);
	return &xchan->chan;
}

NODEOS_FUNC_INLINE an_chan_t *
NODEOS_EXTERN_CHAN(ani_chan_t *ichan)
{
	assert(ichan != 0);
	return (an_chan_t *)ichan;
}

/* extensions */

an_chan_t *an_clickchan_create(void *mem, an_flow_t *flow, char *config_string,
			       an_chan_t *inchan, an_chan_t *outchan);
an_error_t an_clickchan_destroy(an_chan_t *chan);

#endif /* _NODEOS_IMPL_AN_CHAN_H_ */
