/*
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

#ifndef _NODEOS_IMPL_AN_TIME_H_
#define _NODEOS_IMPL_AN_TIME_H_

#include <nodeos/impl/decls.h>
#include <assert.h>
#include <sys/time.h>


#ifdef OSKIT
typedef struct oskit_timespec an_timespec_t;
#else
typedef struct timespec an_timespec_t;
#endif

static inline an_timespec_t *
NODEOS_INTERN_TIMESPEC(an_timespec_t *m) NODEOS_FUNC_UNUSED;

static inline an_timespec_t *
NODEOS_INTERN_TIMESPEC(an_timespec_t *m)
{
	assert(m != 0);
	return m;
}

#endif /* _NODEOS_IMPL_AN_TIME_H_ */
