/*
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

#include <nodeos/an_event.h>
#include <nodeos/impl/ani_nodeos.h>
#include <nodeos/impl/ani_flow.h>
#include <nodeos/impl/ani_event.h>

an_error_t
an_event_schedule(an_eventfunc_t func, void *farg, unsigned long delta)
{
	ani_error_t err;
	ani_event_t *event;

	NODEOS_ENTER;

	/*
	 * XXX for now
	 * XXX never gets freed
	 */
	event = ani_mempool_alloc(ani_flow_mempool(ani_flow_current()),
				  sizeof *event);

	if (func == 0 || event == 0)
		err = ani_error_set(AN_ERR_INVALIDARG,
				    "NULL function or event argument");
	else
		err = ani_event_init(event,
				     ani_flow_threadpool(ani_flow_current()),
				     0, func, farg, delta);

	NODEOS_LEAVE;
	return NODEOS_EXTERN_ERROR(err);
}

unsigned long
an_event_granularity(void)
{
	unsigned long res;

	NODEOS_ENTER;
	ani_event_info(&res);
	NODEOS_LEAVE;

	return res;
}
