/*
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

#ifndef _ANI_CHAN_ETH_IMPL_H_
#define _ANI_CHAN_ETH_IMPL_H_

#include "options.h"

#ifdef CHAN_ETH

#include <nodeos/an_info.h>
#include <nodeos/impl/ani_chan.h>
#include <nodeos/impl/ani_pbuf.h>

void chan_eth_init(void);
ani_error_t chan_eth_create(ani_chan_t *chan);
void chan_eth_destroy(ani_chan_t *chan);
void chan_eth_send(ani_chan_t *chan, ani_pbuf_t *pbuf);
ani_error_t chan_eth_enable(ani_chan_t *chan);
void chan_eth_disable(ani_chan_t *chan);
ani_error_t chan_eth_info(an_infoif_t i[], int *c);

#endif

#endif /* _ANI_CHAN_ETH_IMPL_H_ */
