/*
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

#ifdef GPROF

/*
 * Unix gprof control.  XXX Probably FreeBSD specific?
 */

#include <stdio.h>
#include <sys/types.h>

#include "os.h"

/* XXX XXX XXX */
void moncontrol(int);
void monstartup(unsigned long lowpc, unsigned long highpc);

void
os_gprof_init(void)
{
	moncontrol(0);
}

void
os_gprof_start(void)
{
	extern unsigned long _start, etext;

	printf("Starting profile.\n");
	monstartup((unsigned long)&_start, (unsigned long)&etext);
}

void
os_gprof_stop(void)
{
	void moncontrol(int mode);

	moncontrol(0);
	printf("Profile done\n");
}

#endif

