/*
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

#include <assert.h>
#include <nodeos/an_resource.h>
#include <nodeos/impl/ani_resource.h>

void
resource_init(resource_t *res, an_cpuspec_t *cspec, an_memspec_t *mspec)
{
	/* XXX */
	if (cspec->ttype == AN_TH_IMPLICIT)
		res->threads = cspec->threads.im.maxthreads;
	else
		res->threads = cspec->threads.ex.nthreads;

	res->cyclerate = cspec->rate;

	/* XXX hackery */
	res->timeslice = cspec->slice.tv_sec;
	if (res->timeslice != RESOURCE_ALL) {
		assert(cspec->slice.tv_sec < RESOURCE_ALL/1000000);
		res->timeslice = (cspec->slice.tv_sec * 1000000) +
			(cspec->slice.tv_nsec / 1000);
		if (res->timeslice == 0 && cspec->slice.tv_nsec > 0)
			res->timeslice = 1;
	}

	res->ppages = mspec->npages;
}
